fr

Changes for GOG.com - Screamer

Revision by petch (08 May 2013 05:06:09)

@@ -1,6 +1,6 @@
 #!/bin/bash
 # Date : (2012-05-04 23-09)
-# Last revision : (2012-11-14 19-22)
+# Last revision : (2013-03-25 23-45)
 # Wine version used : 1.4-dos_support_0.6
 # Distribution used to test : Debian Sid (Unstable)
 # Author : Pierre Etchemaite pe-pol@concept-micro.com
@@ -24,7 +24,7 @@
 POL_SetupWindow_SetID 1165
 POL_Debug_Init
 
-POL_SetupWindow_presentation "$TITLE" "Graffiti / Interplay" "http://www.gog.com/en/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
+POL_SetupWindow_presentation "$TITLE" "Graffiti / Interplay" "http://www.gog.com/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
 
 POL_Call POL_GoG_setup "$GOGID" "8bfa373cb34615c52cfbb0495413c252"
 
@@ -66,7 +66,7 @@
 # "VGA 256 colors"
 POL_SetupWindow_VMS "2"
 
-POL_Shortcut "STARTH.EXE" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" ""
+POL_Shortcut "STARTH.EXE" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" "" "Game;SportsGame;"
 POL_Shortcut_Document "$SHORTCUT_NAME" "$WINEPREFIX/drive_c/manual.pdf"
 # C:\GOG Games\Screamer\README.TXT
 
@@ -85,7 +85,7 @@
 POL_Debug_Init
 POL_Wine SETUP.EXE
 
-exit
+exit 0
 _EOF_
 
-exit
+exit 0

Revision by petch (14 November 2012 19:51:15)

@@ -1,7 +1,7 @@
 #!/bin/bash
 # Date : (2012-05-04 23-09)
-# Last revision : (2012-10-29 02-05)
-# Wine version used : 1.4-dos_support_0.5
+# Last revision : (2012-11-14 19-22)
+# Wine version used : 1.4-dos_support_0.6
 # Distribution used to test : Debian Sid (Unstable)
 # Author : Pierre Etchemaite pe-pol@concept-micro.com
 # Script licence : GPL v.2
@@ -13,7 +13,7 @@
 
 GOGID="screamer"
 PREFIX="Screamer_gog"
-WORKING_WINE_VERSION="1.4-dos_support_0.5"
+WORKING_WINE_VERSION="1.4-dos_support_0.6"
 
 TITLE="GOG.com - Screamer"
 SHORTCUT_NAME="Screamer"
@@ -26,20 +26,16 @@
 
 POL_SetupWindow_presentation "$TITLE" "Graffiti / Interplay" "http://www.gog.com/en/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
 
-POL_Call POL_GoG_setup "$GOGID" "b1eb71f08bf477484a6e77777787dcc5"
+POL_Call POL_GoG_setup "$GOGID" "8bfa373cb34615c52cfbb0495413c252"
 
 POL_Wine_SelectPrefix "$PREFIX"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
-# Prevent GoG installer from installing Acrobat Reader or Foxit in each prefix
-POL_Call POL_Function_SetNativeExtension "pdf"
+POL_Call POL_GoG_install
 
-POL_Wine_WaitBefore "$TITLE"
-
-POL_Wine "$POL_GoG_location" || POL_Debug_Fatal "$(eval_gettext 'Error while installing archive')"
 
 # Game expects itself at the root of C:
-mv "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Screamer/"* "$WINEPREFIX/drive_c/"
+mv "$WINEPREFIX/drive_c/GOG Games/Screamer/"* "$WINEPREFIX/drive_c/"
 
 # Screamer is a bit crash-prone http://www.dosbox.com/comp_list.php?showID=723
 mv "$WINEPREFIX/drive_c/GFX/MAP5H.DAT" "$WINEPREFIX/drive_c/GFX/real.MAP5H.DAT"
@@ -47,17 +43,24 @@
 
 cat <<'_EOFCFG_' >> "$WINEPREFIX/playonlinux_dos.cfg"
 manual_mount=true
-cpu_core=dynamic
+dosbox_memsize=16
+cpu_core=auto
 cpu_cycles='max 95% limit 120000'
-mixer_prebuffer=10
-ipx_enable=1
-ipx_connection=1
-ipx_ipx=true
+mixer_prebuffer=80
+sblaster_sbtype=sb16
+sblaster_sbbase=220
+sblaster_irq=7
+sblaster_dma=1
+sblaster_hdma=5
+sblaster_mixer=true
+sblaster_oplmode=auto
+sblaster_oplrate=22050
+ipx_ipx=false
 _EOFCFG_
 
 cat <<_EOFAE_ > "$WINEPREFIX/drive_c/autoexec.bat"
 IPXNET STARTSERVER
-imgmount d "$WINEPREFIX/drive_c/SCREAMER.inst" -t iso -fs iso
+imgmount d "$WINEPREFIX/drive_c/SCREAM.DAT" -t iso -fs iso
 _EOFAE_
 
 # "VGA 256 colors"
@@ -65,7 +68,7 @@
 
 POL_Shortcut "STARTH.EXE" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" ""
 POL_Shortcut_Document "$SHORTCUT_NAME" "$WINEPREFIX/drive_c/manual.pdf"
-# C:\Program Files\GOG.com\Screamer\README.TXT
+# C:\GOG Games\Screamer\README.TXT
 
 POL_SetupWindow_Close
 
@@ -77,13 +80,9 @@
 export WINEDEBUG="-all"
 
 POL_LoadVar_PROGRAMFILES
-
 cd "\$WINEPREFIX/drive_c/" || exit 1
-
 TITLE="$TITLE"
-
 POL_Debug_Init
-
 POL_Wine SETUP.EXE
 
 exit

Revision by petch (28 October 2012 14:46:13)

@@ -1,6 +1,6 @@
 #!/bin/bash
 # Date : (2012-05-04 23-09)
-# Last revision : (2012-06-06 21-03)
+# Last revision : (2012-10-29 02-05)
 # Wine version used : 1.4-dos_support_0.5
 # Distribution used to test : Debian Sid (Unstable)
 # Author : Pierre Etchemaite pe-pol@concept-micro.com
@@ -15,12 +15,13 @@
 PREFIX="Screamer_gog"
 WORKING_WINE_VERSION="1.4-dos_support_0.5"
 
-TITLE="Screamer (GoG release)"
+TITLE="GOG.com - Screamer"
 SHORTCUT_NAME="Screamer"
 
 POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
 
 POL_SetupWindow_Init
+POL_SetupWindow_SetID 1165
 POL_Debug_Init
 
 POL_SetupWindow_presentation "$TITLE" "Graffiti / Interplay" "http://www.gog.com/en/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"

Revision by petch (02 July 2012 00:36:17)

No change were made in the code

Revision by petch (06 June 2012 21:47:36)

@@ -1,7 +1,7 @@
 #!/bin/bash
 # Date : (2012-05-04 23-09)
-# Last revision : (2012-05-05 00-22)
-# Wine version used : 1.4-dos_support_0.4
+# Last revision : (2012-06-06 21-03)
+# Wine version used : 1.4-dos_support_0.5
 # Distribution used to test : Debian Sid (Unstable)
 # Author : Pierre Etchemaite pe-pol@concept-micro.com
 # Script licence : GPL v.2
@@ -13,7 +13,7 @@
 
 GOGID="screamer"
 PREFIX="Screamer_gog"
-WORKING_WINE_VERSION="1.4-dos_support_0.4"
+WORKING_WINE_VERSION="1.4-dos_support_0.5"
 
 TITLE="Screamer (GoG release)"
 SHORTCUT_NAME="Screamer"
@@ -30,23 +30,24 @@
 POL_Wine_SelectPrefix "$PREFIX"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
-POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
-
 # Prevent GoG installer from installing Acrobat Reader or Foxit in each prefix
 POL_Call POL_Function_SetNativeExtension "pdf"
 
-POL_Wine "$POL_GoG_location" || POL_Debug_Fatal "$(eval_gettext 'Error while installing archive')"
+POL_Wine_WaitBefore "$TITLE"
 
-POL_Wine_WaitExit "$TITLE"
+POL_Wine "$POL_GoG_location" || POL_Debug_Fatal "$(eval_gettext 'Error while installing archive')"
 
 # Game expects itself at the root of C:
 mv "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Screamer/"* "$WINEPREFIX/drive_c/"
 
-# Game is a bit crash-prone http://www.dosbox.com/comp_list.php?showID=723
+# Screamer is a bit crash-prone http://www.dosbox.com/comp_list.php?showID=723
+mv "$WINEPREFIX/drive_c/GFX/MAP5H.DAT" "$WINEPREFIX/drive_c/GFX/real.MAP5H.DAT"
+cp "$WINEPREFIX/drive_c/GFX/MAP5L.DAT" "$WINEPREFIX/drive_c/GFX/MAP5H.DAT"
+
 cat <<'_EOFCFG_' >> "$WINEPREFIX/playonlinux_dos.cfg"
 manual_mount=true
 cpu_core=dynamic
-cpu_cycles=150000
+cpu_cycles='max 95% limit 120000'
 mixer_prebuffer=10
 ipx_enable=1
 ipx_connection=1

Revision by petch (05 May 2012 20:38:12)

@@ -0,0 +1,90 @@
+#!/bin/bash
+# Date : (2012-05-04 23-09)
+# Last revision : (2012-05-05 00-22)
+# Wine version used : 1.4-dos_support_0.4
+# Distribution used to test : Debian Sid (Unstable)
+# Author : Pierre Etchemaite pe-pol@concept-micro.com
+# Script licence : GPL v.2
+# Program licence : Retail
+# Depend :
+
+[ -z "$PLAYONLINUX" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+GOGID="screamer"
+PREFIX="Screamer_gog"
+WORKING_WINE_VERSION="1.4-dos_support_0.4"
+
+TITLE="Screamer (GoG release)"
+SHORTCUT_NAME="Screamer"
+
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+
+POL_SetupWindow_Init
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "Graffiti / Interplay" "http://www.gog.com/en/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
+
+POL_Call POL_GoG_setup "$GOGID" "b1eb71f08bf477484a6e77777787dcc5"
+
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+
+POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
+
+# Prevent GoG installer from installing Acrobat Reader or Foxit in each prefix
+POL_Call POL_Function_SetNativeExtension "pdf"
+
+POL_Wine "$POL_GoG_location" || POL_Debug_Fatal "$(eval_gettext 'Error while installing archive')"
+
+POL_Wine_WaitExit "$TITLE"
+
+# Game expects itself at the root of C:
+mv "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Screamer/"* "$WINEPREFIX/drive_c/"
+
+# Game is a bit crash-prone http://www.dosbox.com/comp_list.php?showID=723
+cat <<'_EOFCFG_' >> "$WINEPREFIX/playonlinux_dos.cfg"
+manual_mount=true
+cpu_core=dynamic
+cpu_cycles=150000
+mixer_prebuffer=10
+ipx_enable=1
+ipx_connection=1
+ipx_ipx=true
+_EOFCFG_
+
+cat <<_EOFAE_ > "$WINEPREFIX/drive_c/autoexec.bat"
+IPXNET STARTSERVER
+imgmount d "$WINEPREFIX/drive_c/SCREAMER.inst" -t iso -fs iso
+_EOFAE_
+
+# "VGA 256 colors"
+POL_SetupWindow_VMS "2"
+
+POL_Shortcut "STARTH.EXE" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" ""
+POL_Shortcut_Document "$SHORTCUT_NAME" "$WINEPREFIX/drive_c/manual.pdf"
+# C:\Program Files\GOG.com\Screamer\README.TXT
+
+POL_SetupWindow_Close
+
+cat <<_EOF_ > "$POL_USER_ROOT/configurations/configurators/$SHORTCUT_NAME"
+#!/bin/bash
+[ -z "\$PLAYONLINUX" ] && exit 0
+source "\$PLAYONLINUX/lib/sources"
+export WINEPREFIX="\$POL_USER_ROOT/wineprefix/$PREFIX"
+export WINEDEBUG="-all"
+
+POL_LoadVar_PROGRAMFILES
+
+cd "\$WINEPREFIX/drive_c/" || exit 1
+
+TITLE="$TITLE"
+
+POL_Debug_Init
+
+POL_Wine SETUP.EXE
+
+exit
+_EOF_
+
+exit
Il n'y a rien à voir ici